package com.tappli.android.readmorelistviewtest;

import java.util.ArrayList;
import java.util.Date;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemClickListener;

public class MainActivity extends Activity implements OnClickListener, OnItemClickListener {
	ReadMoreListView listView = null;
	ArrayAdapter<String> adapter = null;
	EditText maxNumber = null;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		// ボタンにイベント登録
		View button1 = findViewById(R.id.button1);
		button1.setOnClickListener(this);
		View button2 = findViewById(R.id.button2);
		button2.setOnClickListener(this);

		// 「もっと読む」Viewを生成
		View readMore = getLayoutInflater().inflate(R.layout.readmore, null);

		// ListViewの設定
		listView = (ReadMoreListView) findViewById(R.id.list);
		listView.setOnItemClickListener(this);
		listView.setMax(20);
		listView.setEmptyView(findViewById(R.id.emptyView));
		listView.setReadMoreView(readMore, R.id.defaultView, R.id.loadingView);
		adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, new ArrayList<String>());
		listView.setAdapter(adapter);
		listView.invalidate();
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.button1:
			adapter.add(new Date().toLocaleString());
			break;
		case R.id.button2:
			if (listView.getMode() == ReadMoreListView.MODE_DEFAULT) {
				listView.setMode(ReadMoreListView.MODE_LOADING);
			}
			else {
				listView.setMode(ReadMoreListView.MODE_DEFAULT);
			}
			break;
		}
	}

	@Override
	public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
		// positionがアイテム数と同じなら「もっと読む」がクリックされたということ
		if (position == adapter.getCount()) {
			adapter.add(new Date().toLocaleString());
		}
		else {
			if (view instanceof TextView) {
				TextView textView = (TextView) view;
				Toast.makeText(this, textView.getText(), Toast.LENGTH_SHORT).show();

			}
		}
	}
}